Bug 791146

Summary: unneeded legacy font requires
Product: [Fedora] Fedora Reporter: Sarantis Paskalis <paskalis>
Component: java-1.6.0-openjdkAssignee: Deepak Bhole <dbhole>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: ahughes, dbhole, fonts-bugs, jon.vanalten, jvanek, lkundrak, mjw, mmatejov, omajid
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 08:44:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Sarantis Paskalis 2012-02-16 05:34:22 EST
Description of problem:
java-1.6.0-openjdk-1.6.0.0-63.1.11 re-introduces a legacy font require long ago dismissed

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-63.1.11

How reproducible:
always

Steps to Reproduce:
1. update or install java-1.6.0-openjdk-1.6.0.0-63.1.11
2. two packages (xorg-x11-fonts-Type1 and ttmkfdir) are dependency installed
3. 


Additional info:
This is a headless installation.  No fonts whatsoever need to be installed, only jvm functionality to be present.

I understand that this is an ugly hack to bug #721033.

It is also against Fedora packaging guidelines to include spurious font dependencies.  Even desktop managers do not require fonts, why would a jvm implementation need it.  _If_ a desktop application needs the fonts, they can require them in that case.

Please also see bug #657491 for a similar incident.
Comment 1 Fedora End Of Life 2013-01-16 08:05:53 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 08:44:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.